<script setup>
import { ref, computed } from "vue";
import Infos from "@/components/Infos.vue";
import Timetable from "@/components/Timetable.vue";

const props = defineProps({
  promotions: Array,
  places: Array,
  employees: Array,
  subjects: Array
})

const promotions = computed(() => props.promotions)
const places = computed(() => props.places)
const employees = computed(() => props.employees)
const subjects = computed(() => props.subjects)

const timeslots = ref([])
</script>

<template>
  <div class="timetableView">
    <Timetable :places="places" :employees="employees" :subjects="subjects" :promotions="promotions" @update-timeslots="timeslots = $event" />
    <!-- <Infos :timeslots="timeslots" :places="places"/> -->
  </div>
</template>

<style scoped>
.timetableView {
  width: 100vw;
}
</style>